# Namco C219 instrument editor

the Namco C219 instrument editor contains two tabs: Sample and Macros.

## Sample

for sample settings, see [the Sample instrument editor](sample.md).

## Macros

- **Volume**: volume sequence.
- **Arpeggio**: pitch sequence.
- **Control**: channel control sequence:
  - **surround**: invert the right output for a surround effect.
  - **invert**: invert both outputs. when used together with surround, this inverts just the left output.
  - **noise**: toggles noise mode.
  - setting control bits restart the sample!
- **Panning (left)**: output level for left channel.
- **Panning (right)**: output level for right channel.
- **Pitch**: fine pitch.
